<template>
  <div>
    <img :src="phone.img" alt="Im" width="300" height="300"/>

    <div>Brand - {{ phone.brand }}</div>
    <div>Color - {{ phone.color }}</div>
    <div>Price - {{ phone.price }}</div>
    <div>Year - {{ phone.age }}</div>
    <div>Bluetooth - {{ phone.bluetooth }}</div>
    <div>Port - {{ phone.port }}</div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from "vuex";

export default {

  data() {
    return {
      phone: {},
    };
  },

  computed: {
    ...mapGetters('phones', ['getItemById']),
  },

  methods: {
    ...mapActions('phones', ['loadList']),
  },

  async created() {
    try {
      await this.loadList();
      const phoneId = this.$route.params.id;

      this.phone = this.getItemById(phoneId);
    }
    catch (error) {
      console.error("Error:", error);
    }
  },
};
</script>

<style lang="css" scoped>

</style>